libzypp 17.38.15

RepoStatus.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/CheckSum.h>`
`#include <zypp-core/Date.h>`

Go to the source code of this file.

## Classes
class | zypp::RepoStatus
| Track changing files or directories. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const RepoStatus &obj)
| relates: RepoStatus Stream output
RepoStatus | zypp::operator&& (const RepoStatus &lhs, const RepoStatus &rhs)
| relates: RepoStatus Combine two RepoStatus (combined checksum and newest timestamp)
bool | zypp::operator== (const RepoStatus &lhs, const RepoStatus &rhs)
| relates: RepoStatus Whether 2 RepoStatus refer to the same content checksum
bool | zypp::operator!= (const RepoStatus &lhs, const RepoStatus &rhs)
| relates: RepoStatus Whether 2 RepoStatus refer to different content checksums